ImportTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.ImportTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class ImportTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.ImportTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class ImportTask

extends Task

Task to import another build file into the current project.

It must be 'top level'. On execution it will read another Ant file into the same Project.

Important: we have not finalized how relative file references will be resolved in deep/complex build hierarchies - such as what happens when an imported file imports another file. Use absolute references for enhanced build file stability, especially in the imported files.

Examples:

     <import file="../common-targets.xml"/>

Import targets from a file in a parent directory.

     <import file="${deploy-platform}.xml"/>

Import the project defined by the property `deploy-platform`.

Since:
  Ant1.6

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ImportTask()`

Method Summary
`void` | `execute()` This relies on the task order model.
`void` | `setFile(java.lang.String file)` the name of the file to import.
`void` | `setOptional(boolean optional)` sets the optional attribute

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportTask

    public ImportTask()

Method Detail

### setOptional

    public void setOptional(boolean optional)

  sets the optional attribute

  Parameters:
    `optional` - if true ignore files that are not present, default is false

### setFile

    public void setFile(java.lang.String file)

  the name of the file to import. How relative paths are resolved is still in flux: use absolute paths for safety.

  Parameters:
    `file` - the name of the file

### execute

    public void execute()

  This relies on the task order model.

  Overrides:
    `execute` in class `Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD